Subject: Re: [PATCH v2] i2c: core: make it possible to match a pure device tree driver

From: Wolfram Sang <[email-masked]>
Date: Tue, 18 Jun 2013 09:33:02 +0200

On Mon, Jun 17, 2013 at 11:15:30PM +0100, Grant Likely wrote:
> On Mon, Jun 17, 2013 at 5:33 PM, Linus Walleij <[email-masked]> wrote:
> > On Mon, Jun 17, 2013 at 5:48 PM, Stephen Warren <[email-masked]> wrote:
> >
> >> This has just shown up in next-20130617, and breaks at least the
> >> TPS65910 and TPS62360 drivers, since they assume that the id parameter
> >> passed to probe is non-NULL. However, now the parameter is NULL since
> >> these drivers have both an ID table and an OF match table.
> >
> > So you mean they come in through the DT boot path and assume
> > that parameter is non-null even though they should not make use of
> > it?
> >
> >> I'd like to suggest this patch be reverted an re-introduced immediately
> >> after the merge window. That should give enough time for everyone to get
> >> a heads-up on fixing any drivers with a similar problem, rather than
> >> trying to cram all that in immediately before the merge window.
> >
> > OK that works for me, I'm not in any hurry.
> 
> Deferring by a merge window isn't going to make it any less painful.
> Do your best to find all the users that need to be changed. Use a
> coccinelle search perhaps, but I think it should be merged anyway.

I'll try a bit of my coccinelle-foo today and then decide.